Loading...
Searching...
No Matches
BALL::DockResult Class Reference
Molecular Modeling » Molecular Structure » Docking of molecular structures

`#include <BALL/DOCKING/COMMON/dockResult.h>`

## Classes

class | Scoring_
class | Compare_

## Public Member Functions

Constructors and Destructors
| DockResult () throw ()
| DockResult (const String &docking_algorithm, ConformationSet *conformation_set, const Options &docking_options) throw ()
| DockResult (const DockResult &dock_res) throw ()
virtual | ~DockResult () throw ()
Assignment
const DockResult & | operator= (const DockResult &dock_res) throw ()
Accessors: inspectors and mutators
void | setConformationSet (ConformationSet *conformation_set) throw ()
const String & | getDockingAlgorithm () const throw ()
const Options & | getDockingOptions () const throw ()
const ConformationSet * | getConformationSet () const throw ()
ConformationSet * | getConformationSet () throw ()
void | sortBy (Index scoring_index)
Index | isSortedBy () const throw ()
float | operator() (Position i, Position j)
const vector< ConformationSet::Conformation > | getScores (Position i) const
const String & | getScoringName (Position i) const
const Options & | getScoringOptions (Position i) const
Size | numberOfScorings () const throw ()
void | addScoring (const String &name, const Options &options, vector< ConformationSet::Conformation > scores) throw ()
void | deleteScoring (Position i)

## Reading and writing

String | docking_algorithm_
Options | docking_options_
ConformationSet * | conformation_set_
vector< Scoring_ > | scorings_
Index | sorted_by_
bool | writeDockResult (const String &filename) throw ()
bool | writeDockResult (std::ostream &file) const throw ()
bool | readDockResult (const String &filename) throw ()
bool | readDockResult (std::istream &file) throw ()
std::ostream & | operator<< (std::ostream &out, const DockResult &dock_res) throw ()
std::istream & | operator>> (std::istream &in, DockResult &dock_res) throw ()

## Detailed Description

Result of a (re)docking calculation. the used algorithm and its options, the conformation set which was produced by the algorithm and the scores, names and options of all scoring functions that were used for the ranking / reranking. On the one hand it allows to recieve the scores of a certain scoring, on the other hand it can return scores sorted by another scoring. This offers a simple way to compare the different scores with each other

Definition at line 29 of file dockResult.h.

## Constructor & Destructor Documentation

## DockResult() [1/3]

BALL::DockResult::DockResult | ( |  | ) |
throw | ( | ) |  |  |

Default Constructor

## DockResult() [2/3]

BALL::DockResult::DockResult | ( | const String & | docking_algorithm,
|  | ConformationSet * | conformation_set,
|  | const Options & | docking_options )
throw | ( | ) |  |  |

Constructor

## DockResult() [3/3]

BALL::DockResult::DockResult | ( | const DockResult & | dock_res | ) |
throw | ( | ) |  |  |

Copy constructor

## ~DockResult()

virtual BALL::DockResult::~DockResult | ( |  | ) |
throw | ( | ) |  |  |

virtual

Destructor

## Member Function Documentation

## addScoring()

void BALL::DockResult::addScoring | ( | const String & | name,
|  | const Options & | options,
|  | vector< ConformationSet::Conformation > | scores )
throw | ( | ) |  |  |

Add a new Scoring_ to vector scorings_ .

Parameters

  name | name of the scoring function
  options | options of the scoring function
  scores | scores calculated by the scoring function

## deleteScoring()

void BALL::DockResult::deleteScoring | ( | Position | i | ) |

Deletes Scoring_ i of vector scorings_ .

Exceptions

  BALL::Exception::IndexOverflow |

## getConformationSet() [1/2]

ConformationSet * BALL::DockResult::getConformationSet | ( |  | ) |
throw | ( | ) |  |  |

Get the conformation set.

## getConformationSet() [2/2]

const ConformationSet * BALL::DockResult::getConformationSet | ( |  | ) | const
throw | ( | ) |  |  |

Get the conformation set.

## getDockingAlgorithm()

const String & BALL::DockResult::getDockingAlgorithm | ( |  | ) | const
throw | ( | ) |  |  |

Get the docking algorithm.

## getDockingOptions()

const Options & BALL::DockResult::getDockingOptions | ( |  | ) | const
throw | ( | ) |  |  |

Get the options of the docking algorithm.

## getScores()

const vector< ConformationSet::Conformation > BALL::DockResult::getScores | ( | Position | i | ) | const

Returns the scores of scoring i.

Exceptions

  BALL::Exception::IndexOverflow |

## getScoringName()

const String & BALL::DockResult::getScoringName | ( | Position | i | ) | const

Returns the name of scoring function of scoring i.

Exceptions

  BALL::Exception::IndexOverflow |

## getScoringOptions()

const Options & BALL::DockResult::getScoringOptions | ( | Position | i | ) | const

Returns the scoring function options of scoring i.

Exceptions

  BALL::Exception::IndexOverflow |

## isSortedBy()

Index BALL::DockResult::isSortedBy | ( |  | ) | const
throw | ( | ) |  |  |

## numberOfScorings()

Size BALL::DockResult::numberOfScorings | ( |  | ) | const
throw | ( | ) |  |  |

Returns the number of scorings.

## operator()()

float BALL::DockResult::operator() | ( | Position | i,
|  | Position | j )

Returns score i of the scoring j in respect of the current sorting indicated by the flag sorted_by_ .

Exceptions

  BALL::Exception::IndexOverflow |

## operator=()

const DockResult & BALL::DockResult::operator= | ( | const DockResult & | dock_res | ) |
throw | ( | ) |  |  |

Assignment operator

## readDockResult() [1/2]

bool BALL::DockResult::readDockResult | ( | const String & | filename | ) |
throw | ( | ) |  |  |

Reads dock result from a file. Calls readDockResult(std::istream& file) .

Parameters

  filename | name of the file

Returns
  true if reading was successful.
  false otherwise

## readDockResult() [2/2]

bool BALL::DockResult::readDockResult | ( | std::istream & | file | ) |
throw | ( | ) |  |  |

Read dock result from an istream.

Parameters

  file | istream

Returns
  true if reading was successful.
  false otherwise

## setConformationSet()

void BALL::DockResult::setConformationSet | ( | ConformationSet * | conformation_set | ) |
throw | ( | ) |  |  |

Sets the conformation set.

## sortBy()

void BALL::DockResult::sortBy | ( | Index | scoring_index | ) |

Sets scoring flag by which all scores are sorted displayed a negative index corresponds to sorting by snapshot index

Exceptions

  BALL::Exception::IndexOverflow |

## writeDockResult() [1/2]

bool BALL::DockResult::writeDockResult | ( | const String & | filename | ) |
throw | ( | ) |  |  |

Stores dock result in a file. Calls writeDockResult(std::ostream& file) .

Parameters

  filename | name of the file

Returns
  true if writing was successful.
  false otherwise

## writeDockResult() [2/2]

bool BALL::DockResult::writeDockResult | ( | std::ostream & | file | ) | const
throw | ( | ) |  |  |

Stores dock result in an ostream.

Parameters

  file | ostream

Returns
  true if writing was successful.
  false otherwise

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | out,
|  | const DockResult & | dock_res )
throw | ( | ) |  |  |

friend

Operator to write dock result into an ostream. Calls writeDockResult(std::ostream& file).

## operator>>

std::istream & operator>> | ( | std::istream & | in,
|  | DockResult & | dock_res )
throw | ( | ) |  |  |

friend

Operator to read dock result into an istream. Calls readDockResult(std::istream& file) .

## Member Data Documentation

## conformation_set_

ConformationSet* BALL::DockResult::conformation_set_

protected

Conformation set which was produced by the docking algorithm.

Definition at line 287 of file dockResult.h.

## docking_algorithm_

String BALL::DockResult::docking_algorithm_

protected

Name of docking algorithm

Definition at line 281 of file dockResult.h.

## docking_options_

Options BALL::DockResult::docking_options_

protected

Options of the docking algorithm

Definition at line 284 of file dockResult.h.

## scorings_

vector<Scoring_> BALL::DockResult::scorings_

protected

Vector contains name, options and scores of each scoring function. The scores of each scoring are sorted.

Definition at line 291 of file dockResult.h.

## sorted_by_

Index BALL::DockResult::sorted_by_

protected

Flag that indicated by which scoring all scorings are sorted -1 corresponds to a sorting by snapshot index It is needed for the operator(i, j)

Definition at line 296 of file dockResult.h.